# Get-RASAllowedDevicesSetting.md

## NAME

Get-RASAllowedDevicesSetting

## SYNOPSIS

Returns settings for types of allowed clients.

## SYNTAX

\*\*Get-RASAllowedDevicesSetting \[[SiteId](#siteid-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Returns settings for types of allowed clients.

## PARAMETERS

## SiteId (uint)

The site ID.

To obtain the ID of a desired site, use the Get-Sites cmdlet.

```
        Required?                    false

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

[RASAllowedDevicesSetting](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rasalloweddevicessetting.md)

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Get-RASAllowedDevicesSetting

Retrieves settings for each of device types shown in 'Allowed Devices'. The permission of the device is represented as a boolean.

## RELATED LINKS

* [Set-RASAllowedDevicesSetting](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasalloweddevicessetting.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasalloweddevicessetting.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
